from peewee import *

# 假设 db 已经在其他地方定义并连接到数据库
from models import db


class Banana1(Model):
    id = AutoField(primary_key=True)  # 自增主键
    tg_id = IntegerField(null=True)  # Telegram ID，整型，可为空
    url = CharField(max_length=255, null=True)  # URL，最大长度 255，可为空
    fraction = CharField(max_length=255, null=True)  # 分数，最大长度 255，可为空
    invite_num = IntegerField(null=True)  # 邀请数量，整型，可为空
    user_data = CharField(max_length=255, null=True)  # 用户数据，最大长度 255，可为空
    token = CharField(max_length=255, null=True)  # 令牌，最大长度 255，可为空
    phone = CharField(max_length=255, null=True)  # 手机号，最大长度 255，可为空
    email = CharField(max_length=255, null=True)  # 手机号，最大长度 255，可为空
    data = CharField(max_length=255, null=True)  # 手机号，最大长度 255，可为空

    class Meta:
        database = db  # 所属数据库
        table_name = 'tg_banana'  # 表名
